{
    onStart(pokemon) {
        if (pokemon.baseSpecies.baseSpecies !== "Wishiwashi" || pokemon.level < 20 || pokemon.transformed)
            return;
        if (pokemon.hp > pokemon.maxhp / 4) {
            if (pokemon.species.id === "wishiwashi") {
                pokemon.formeChange("Wishiwashi-School");
            }
        } else {
            if (pokemon.species.id === "wishiwashischool") {
                pokemon.formeChange("Wishiwashi");
            }
        }
    },
    onResidualOrder: 29,
    onResidual(pokemon) {
        if (pokemon.baseSpecies.baseSpecies !== "Wishiwashi" || pokemon.level < 20 || pokemon.transformed || !pokemon.hp)
            return;

        if (pokemon.species.id === "wishiwashischool") {
            this.heal(pokemon.baseMaxhp / 16);
        }

        if (pokemon.hp > pokemon.maxhp / 4) {
            if (pokemon.species.id === "wishiwashi") {
                pokemon.formeChange("Wishiwashi-School");
            }
        } else {
            if (pokemon.species.id === "wishiwashischool") {
                pokemon.formeChange("Wishiwashi");
            }
        }
    },
    flags: { failroleplay: 1, noreceiver: 1, noentrain: 1, notrace: 1, failskillswap: 1, cantsuppress: 1 },
    name: "Schooling",
    rating: 3,
    num: 208
}
